% Script to demonstrate reading in and plotting a wav file without using
% objects.
% This script is part of the Matlab course for PhD Students 2010-2011:
% http://www.sinnesphysiologie.uni-oldenburg.de/50246.html
% This script was written by Joern Anemueller,
% this version was modified by Jutta Kretzberg, 31.01.2011


%% load and plot the first signal
[vX fs] = wavread('bill_sig1_8kHz.wav');    % load signal and sampling rate
sName = 'Signal 1';             % store name given to the signal
NPoints = size(vX, 1);          % calculate number of time points
vTimeAxis = [0:NPoints-1]/fs;   % construct time axis
figure;                         % open new figure window
plot(vTimeAxis, vX);            % plot the data
xlabel('time [s]')                  % add x-axis label
ylabel('amplitude')             % add y-axis label
title(sName)                    % add title


%% do the same stuff again for another signal
[vX fs] = wavread('bill_sig2_8kHz.wav');    % load signal and sampling rate
sName = 'Signal 2';             % store name given to the signal
NPoints = size(vX, 1);          % calculate number of time points
vTimeAxis = [0:NPoints-1]/fs;   % construct time axis
figure;                         % open new figure window
plot(vTimeAxis, vX);            % plot the data
xlabel('time [s]')                  % add x-axis label
ylabel('amplitude')             % add y-axis label
title(sName)                    % add title


% This can certainly be done better, but we always need to 'carry' three
% varibles around:
% - vX (the data vector)
% - fs (the sampling rate)
% - sName (the name of the signal)
