% script_subclasses
% demonstrates the use of superclass DataSig and sub-classes SoundSig and
% SpikeSig.
% This script is part of the Matlab course for PhD Students 2010-2011:
% http://www.sinnesphysiologie.uni-oldenburg.de/50246.html
% This program was written by Jutta Kretzberg, 02.02.2011

% make sure no objects exist in the workspace and graphic windows are closed:
clear all
close all

% create a SoundSig object:
Sound1=SoundSig('bill_sig1_8kHz.wav', 'Signal 1')

% show the class and superclass of the SoundSig object:
class(Sound1)
if isa(Sound1,'DataSig')
    disp('The object Sound1 is also a DataSig object')
end

% create a DataSig object containing the same data:
Data1=DataSig(Sound1.vData,Sound1.SampRate,Sound1.sName);

% Show that the plot method works differntly for both objects:
figure(1)
plot(Sound1)
figure(2)
plot(Data1)

% Create a SpikeSig object
Spike1=SpikeSig('spikedata1','Recording 1')

figure(3)
plot(Spike1)

% show that overloaded method mean only works for SpikeSig object:
m1=mean(Spike1)

Data2=DataSig(Spike1.vData,Spike1.SampRate,Spike1.sName);
m2=mean(Data2)  %will produce an error

